> For the complete documentation index, see [llms.txt](https://docs.cn.omnibridge.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cn.omnibridge.pro/integration/order-record.md).

# 查询订单记录

**1. 接口调用：**

```
https://{host}/api/v2/queryAllTrade
```

**2. 请求参数示例**

| 参数          | 是否必须 | 说明              |
| ----------- | ---- | --------------- |
| equipmentNo | 是    | 设备唯一编号          |
| sourceType  | 是    | ANDROID,IOS,H5  |
| pageNo      | 否    | eg：1，默认1每页显示记录数 |
| pageSize    | 否    | eg：10，默认10      |

**3.请求参数示例**

```
{
    "equipmentNo":"SFjeigreEIFegjieFei",
    "sourceType":"H5",
    "pageNo":"1",
    "pageSize":"10"
}
```

**4.返回结果示例**

```
{
    "data": {
        "pageContent": [
            {
                "beginDate": "2022-03-10 18:44:21",
                "chainFee": "0.001",
                "changeType": "advanced",
                "depositFeeRate": "0.002",
                "detailState": "timeout",
                "feeCoinAmt": "0.004",
                "feeCoinCode": "ETH",
                "fromCoinAmt": "2",
                "fromCoinCode": "ETH",
                "instantRate": "6.923076923076",
                "isNft": "",
                "nftUrl": "",
                "orderId": "f94e631b-d99b-4dd5-98f7-09bf99d16d94",
                "payTokenUrl": "",
                "percentChange": "",
                "router": {},
                "toCoinAmt": "13.713109",
                "toCoinCode": "BNB(BSC)",
                "tradeFlag": "",
                "tradeState": "timeout"
            },
            {
                "beginDate": "2022-03-10 18:30:36",
                "chainFee": "0.001",
                "changeType": "advanced",
                "depositFeeRate": "0.002",
                "detailState": "timeout",
                "feeCoinAmt": "0.002",
                "feeCoinCode": "ETH",
                "fromCoinAmt": "1",
                "fromCoinCode": "ETH",
                "instantRate": "6.923076923076",
                "isNft": "",
                "nftUrl": "",
                "orderId": "864ca993-8fb8-4715-aab6-cd2e87b625cb",
                "payTokenUrl": "",
                "percentChange": "",
                "router": {},
                "toCoinAmt": "6.865979",
                "toCoinCode": "BNB(BSC)",
                "tradeFlag": "",
                "tradeState": "timeout"
            }
        ],
        "pageNo": 1,
        "pageSize": 10,
        "totalCount": 2,
        "totalPage": 1
    },
    "resCode": "800",
    "resMsg": "成功",
    "resMsgEn": ""
}
```

**5.返回参数说明**

<table><thead><tr><th width="122">字段名称</th><th width="194">字段</th><th>备注</th></tr></thead><tbody><tr><td>当前页  </td><td>pageNo </td><td>eg：1</td></tr><tr><td>每页显示记录数 </td><td>pageSize</td><td>eg：10</td></tr><tr><td>总页数</td><td>totalPage</td><td>eg：10</td></tr><tr><td>总记录数    </td><td>totalCount</td><td>eg：100</td></tr><tr><td>数据结果</td><td>pageContent </td><td>eg：[{name1:value1},{name1:value1},{name1:value1}]</td></tr><tr><td>原币币种 </td><td>fromCoinCode</td><td>eg：ETH</td></tr><tr><td>目标币币种     </td><td>toCoinCode</td><td>eg：BTC</td></tr><tr><td>原币数量 </td><td>fromCoinAmt </td><td>eg：0.0</td></tr><tr><td>目标币数量</td><td>toCoinAmt</td><td>eg：0.14</td></tr><tr><td>兑换开始日期 </td><td>beginDate </td><td>eg：2017-09-08</td></tr><tr><td>手续费币种 </td><td>feeCoinCode</td><td>eg：ETH</td></tr><tr><td>手续费数量</td><td>feeCoinAmt</td><td>eg：0.0003</td></tr><tr><td>订单号 </td><td>orderId </td><td>eg：d47e8b9b-c17f-432b-9285-a46c0a3ceb9a</td></tr><tr><td>兑换状态</td><td>tradeState</td><td><p>wait_deposits：待存币</p><p>exchange：交换中 </p><p>complete：完成（兑换成功） </p><p>timeout：超时</p><p>wait_refund：兑换失败，待退币</p><p>refund_complete：已退币</p></td></tr></tbody></table>

**6.Postman示例**

![](/files/wInFDadL4AhbmaCxXbMb)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cn.omnibridge.pro/integration/order-record.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
